<?php

namespace domain\PointSale\SharedPointSale;

use domain\_\AbstractBuilder;
use domain\_\StatusInterface;
use domain\PointSale\PointSale\PointSale;
use domain\Producer\Producer\Producer;

class SharedPointSaleBuilder extends AbstractBuilder
{
    public function instanciateSharedPointSale(PointSale $pointSale = null, Producer $producerWithSharing = null): SharedPointSale
    {
        $sharedPointSale = new SharedPointSale();

        if($pointSale) {
            $sharedPointSale->setPointSale($pointSale);
        }

        if($producerWithSharing) {
            $sharedPointSale->setProducerWithSharing($producerWithSharing);
        }

        $sharedPointSale->setStatus(StatusInterface::STATUS_ONLINE);

        return $sharedPointSale;
    }
}